function add_click(o, ol){
	var chanum = -1, timer;
	function start(){
		++chanum < ol || (chanum = 0);
		o[chanum].onhover();
		timer =setTimeout(start, 3000);
	}
	
	function cha_cha(i, o){
		return function(){
			var p = chanum-1;
			p < 0 && (p = ol-1);
			o.eq(p).toggleClass("act");
			$("#fengcai_detail_" + p).toggleClass("act");
			o.eq(i).toggleClass("act");
			$("#fengcai_detail_" + i).toggleClass("act");
		}
	}
	function cha_cla(i, o){
		return function(){
			clearTimeout(timer);
			o.eq(chanum).toggleClass("act");
			$("#fengcai_detail_" + chanum).toggleClass("act");
			chanum = i;
			o.eq(i).toggleClass("act");
			$("#fengcai_detail_" + i).toggleClass("act");
		}
	}
	
	for(var i=0; i<ol; i++){
		o[i].onhover = cha_cha(i, o);
		o[i].onmouseover = cha_cla(i, o);
		o[i].onmouseout = function(){
			timer =setTimeout(start, 3000);
		};
	}
	$("#fengcai_pic")[0].onmouseover = function(){
		clearTimeout(timer);
	};
	$("#fengcai_pic")[0].onmouseout = function(){
		timer =setTimeout(start, 3000);
	};
	o.eq(ol-1).toggleClass("act");
	$("#fengcai_detail_" + (ol-1)).toggleClass("act");
	start();
}